package com.qmth.teachcloud.exchange.common.bean.params;

import com.qmth.teachcloud.exchange.common.enums.FunctionalTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 开放接口参数
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/10/20
 */
public class OpenParams implements Serializable {

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("角色名")
    private String roleName;

    @ApiModelProperty("机构名")
    private String orgName;

    @ApiModelProperty("部门名")
    private String deptName;

    @ApiModelProperty("结果")
    private String result;

    @ApiModelProperty("功能类型")
    private FunctionalTypeEnum functionalType = FunctionalTypeEnum.HOME;

    public OpenParams() {

    }

    public OpenParams(String name) {
        this.name = name;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public FunctionalTypeEnum getFunctionalType() {
        return functionalType;
    }

    public void setFunctionalType(FunctionalTypeEnum functionalType) {
        this.functionalType = functionalType;
    }
}
